﻿<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <a class="navbar-brand" href="#">ShopApp</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-items" aria-controls="navbar-items" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbar-items">
        <ul class="navbar-nav mr-auto">
            @*Home*@
            <li class="nav-item">
                @Html.ActionLink("Home", "Index", "Client", null, new { @class = "nav-link" })
            </li>
            @*Cart*@
            <li class="nav-item" title="Shopping cart">
                <a href="@Url.Action("Index", "Cart", new { returnUrl = Request.Url.PathAndQuery })" class="nav-link position-relative">
                    <i class="fas fa-shopping-cart fa-lg"></i>
                    @{
                        var itemsInCartCount = int.Parse(Html.Action("GetItemsCount", "Cart").ToString());
                        if (itemsInCartCount > 0)
                        {
                            <span class="badge badge-pill badge-primary cart-badge">@itemsInCartCount</span>
                        }
                    }
                </a>
            </li>
            @*Admin pages*@
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbar-admin-menu" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Admin pages
                </a>
                <div class="dropdown-menu" aria-labelledby="navbar-admin-menu">
                    @Html.ActionLink("Goods", "Index", "Goods", null, new { @class = "dropdown-item" })
                    @Html.ActionLink("Categories", "Index", "Categories", null, new { @class = "dropdown-item" })
                </div>
            </li>
        </ul>

        @*search box*@
        @*@using (Html.BeginForm("Search", "Search", FormMethod.Get, new { @class = "form-inline my-2 my-lg-0" }))
        {
            <input class="form-control mr-sm-2" type="search" name="q" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">Search</button>
        }*@
        @using (Ajax.BeginForm("SearchAjax", "Search", null, new AjaxOptions { UpdateTargetId = "items" }, new { @class = "form-inline my-2 my-lg-0" }))
        {
            <input class="form-control mr-sm-2" type="search" name="q" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">Search</button>
        }
    </div>
</nav>
